package jp.yoyoyoyo.webformmanager.model;

import java.sql.Timestamp;

public class MstUser {
	private String operatorId;
	
	private String password;
	
	private String operatorName;
	
	private String role;
	
	private String roleText;
	
	private Timestamp lastPasswordChange;
	
	private int InitialPassword;
	
	private int lockFlag;
	
	private int failedCount;
	
	private Timestamp lastLoginDate;
	
	private Timestamp lastLoginDate2;
	
	private Timestamp dateCreated;
	
	private int disabled;

	public String getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getRoleText() {
		return roleText;
	}

	public void setRoleText(String roleText) {
		this.roleText = roleText;
	}

	public Timestamp getLastPasswordChange() {
		return lastPasswordChange;
	}

	public void setLastPasswordChange(Timestamp lastPasswordChange) {
		this.lastPasswordChange = lastPasswordChange;
	}

	public int getInitialPassword() {
		return InitialPassword;
	}

	public void setInitialPassword(int initialPassword) {
		InitialPassword = initialPassword;
	}

	public int getLockFlag() {
		return lockFlag;
	}

	public void setLockFlag(int lockFlag) {
		this.lockFlag = lockFlag;
	}

	public int getFailedCount() {
		return failedCount;
	}

	public void setFailedCount(int failedCount) {
		this.failedCount = failedCount;
	}

	public Timestamp getLastLoginDate() {
		return lastLoginDate;
	}

	public void setLastLoginDate(Timestamp lastLoginDate) {
		this.lastLoginDate = lastLoginDate;
	}

	public Timestamp getLastLoginDate2() {
		return lastLoginDate2;
	}

	public void setLastLoginDate2(Timestamp lastLoginDate2) {
		this.lastLoginDate2 = lastLoginDate2;
	}

	public Timestamp getDateCreated() {
		return dateCreated;
	}

	public void setDateCreated(Timestamp dateCreated) {
		this.dateCreated = dateCreated;
	}

	public int getDisabled() {
		return disabled;
	}

	public void setDisabled(int disabled) {
		this.disabled = disabled;
	}
}
